/**
 * @file
 * Javascript Behaviors to initialize blueimp galleries.
 */

(function ($, Drupal) {

  /**
   * Initialize blueimp galleries on the page.
   */
  Drupal.behaviors.monarchBlueImp = {
    attach: function (context, settings) {
      $.each(settings.monarch_blueimp.galleries, function(id, gallery_settings) {
        if (gallery_settings.carousel) {
          blueimp.Gallery($('#' + id + '-links').find('a').toArray(), gallery_settings);
        }
        else {
          $('#' + id + '-links').on('click', function(e) {
            var target = e.target || e.srcElement
            var link = target.src ? target.parentNode : target
            var links = $(this).find('a').toArray();

            gallery_settings.index = link;
            gallery_settings.event = e;
            blueimp.Gallery(links, gallery_settings)
          });
        }
      });
    }
  };

})(jQuery, Drupal);